import { MsgBase, MsgType } from './MsgBase';

export class AttachmentMsg extends MsgBase {
  msgType: MsgType = 'attachment';

  // 消息内容
  msg: string;

  static createMsg(baseMsg: Partial<AttachmentMsg>): AttachmentMsg {
    const msg = new AttachmentMsg();
    Object.assign(msg, baseMsg);
    return msg;
  }
}
